import { ChangeDetectorRef } from '@angular/core';
import { AbstractControl, FormGroupDirective } from '@angular/forms';
import { MatDatepickerContent, MatCalendar } from '@angular/material/datepicker';
export declare class MatDatepickerTimeHeaderComponent<D, S> {
    private parentFormDir;
    private timeInputControlName;
    private matDatepickerContent;
    private calendar;
    get isRange(): boolean;
    get timeControl(): AbstractControl;
    constructor(parentFormDir: FormGroupDirective, timeInputControlName: string, matDatepickerContent: MatDatepickerContent<S>, calendar: MatCalendar<D>, changeDetectorRef: ChangeDetectorRef);
    private throwIfRange;
    private disableAutoClose;
}
